"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isElement = exports.isBoolean = exports.isFunction = exports.isString = exports.isPromise = void 0;
const tslib_1 = require("tslib");
const type_1 = tslib_1.__importDefault(require("./type"));
const isPromise = (obj) => !!obj && (typeof obj === 'object' || typeof obj === 'function') && typeof obj.then === 'function';
exports.isPromise = isPromise;
const isString = (obj) => type_1.default(obj) === 'string';
exports.isString = isString;
const isFunction = (obj) => type_1.default(obj) === 'function';
exports.isFunction = isFunction;
const isBoolean = (obj) => obj === true || obj === false;
exports.isBoolean = isBoolean;
const isElement = (e) => {
    if (typeof Element === 'undefined')
        return false;
    return e instanceof Element;
};
exports.isElement = isElement;
